package com.Ekyc.ekyc2022.global

import android.util.Log
import org.opencv.android.OpenCVLoader
import java.io.IOException

object EKYCManager {
    private const val TAG = "EKYCManager"
    private var hasInitialized = false

    fun initialize() {
        println("------initialize EKYCManager ")
        OpenCVLoader.initDebug()
        hasInitialized = true
    }

    @Throws(IOException::class)
    fun checkInitialized() {
        if (!hasInitialized) {
            val message = "EKYCManager must be initialized before accessing components!"
            Log.e(TAG, message)
            throw IllegalStateException(message)
        }
    }
}