
import 'dart:async';
import 'dart:typed_data';

import 'package:flutter/services.dart';

import 'help/const.dart';

class Ekyc2022 {
  static const MethodChannel _channel = MethodChannel('ekyc2022');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static startStream() {
    _channel.invokeMethod(
      'key_stream',
    );
  }

  static detectImage(
      {required String path,
        required int step,
        required double borderMarginVertical,
        required double borderMarginHorizontal}) async {
    _channel.invokeMethod(
      'key_dectect',
      {
        "path": path,
        "borderMarginVertical": borderMarginVertical,
        "borderMarginHorizontal": borderMarginHorizontal,
        "step": step
      },
    );
  }

  static analyze(
      {required Uint8List byteImage,
        required double borderMarginVertical,
        required double borderMarginHorizontal}) async {
    _channel.invokeMethod(
      'key_analyze',
      {
        "byteImage": byteImage,
        "borderMarginVertical": borderMarginVertical,
        "borderMarginHorizontal": borderMarginHorizontal,
      },
    );
  }

  static detectFrontcard() async {
    _channel.invokeMethod(Const.KEY_DETECT_FONT_CARD, {});
  }

  static detectBackcard() async {
    _channel.invokeMethod(Const.KEY_DETECT_BACK_CARD, {});
  }

  static detectFace() async {
    _channel.invokeMethod(
      Const.KEY_DETECT_FACE,
    );
  }
}
